use crate::repositories;
use beteran_protobuf_rust as bpr;

impl From<&repositories::member_bank_account::models::MemberBankAccount>
  for bpr::models::member_bank_account::MemberBankAccount
{
  fn from(d: &repositories::member_bank_account::models::MemberBankAccount) -> Self {
    bpr::models::member_bank_account::MemberBankAccount {
      id: d.id.to_string(),
      member_id: d.member_id.to_string(),
      bank_id: d.bank_id.to_string(),
      name: d.name.clone(),
      account_number: d.account_number.to_string(),
      memo: d.memo.clone(),
      created_at: d.created_at as u64,
      updated_at: d.updated_at as u64,
    }
  }
}
